OCSPObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.ocsp

## Interface OCSPObjectIdentifiers

-     public interface OCSPObjectIdentifiers

  OIDs for RFC 2560 and RFC 6960 Online Certificate Status Protocol - OCSP.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp` OID: 1.3.6.1.5.5.7.48.1
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp_archive_cutoff` OID: 1.3.6.1.5.5.7.48.1.6
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp_basic` OID: 1.3.6.1.5.5.7.48.1.1
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp_crl` OID: 1.3.6.1.5.5.7.48.1.3
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp_extended_revoke` OID: 1.3.6.1.5.5.7.48.1.9
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp_nocheck` OID: 1.3.6.1.5.5.7.48.1.5
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp_nonce` OID: 1.3.6.1.5.5.7.48.1.2
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp_pref_sig_algs` OID: 1.3.6.1.5.5.7.48.1.8
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp_response` OID: 1.3.6.1.5.5.7.48.1.4
    `static ASN1ObjectIdentifier` | `id_pkix_ocsp_service_locator` OID: 1.3.6.1.5.5.7.48.1.7

- - ### Field Detail

    - #### id_pkix_ocsp

          static final ASN1ObjectIdentifier id_pkix_ocsp

      OID: 1.3.6.1.5.5.7.48.1

    - #### id_pkix_ocsp_basic

          static final ASN1ObjectIdentifier id_pkix_ocsp_basic

      OID: 1.3.6.1.5.5.7.48.1.1

    - #### id_pkix_ocsp_nonce

          static final ASN1ObjectIdentifier id_pkix_ocsp_nonce

      OID: 1.3.6.1.5.5.7.48.1.2

    - #### id_pkix_ocsp_crl

          static final ASN1ObjectIdentifier id_pkix_ocsp_crl

      OID: 1.3.6.1.5.5.7.48.1.3

    - #### id_pkix_ocsp_response

          static final ASN1ObjectIdentifier id_pkix_ocsp_response

      OID: 1.3.6.1.5.5.7.48.1.4

    - #### id_pkix_ocsp_nocheck

          static final ASN1ObjectIdentifier id_pkix_ocsp_nocheck

      OID: 1.3.6.1.5.5.7.48.1.5

    - #### id_pkix_ocsp_archive_cutoff

          static final ASN1ObjectIdentifier id_pkix_ocsp_archive_cutoff

      OID: 1.3.6.1.5.5.7.48.1.6

    - #### id_pkix_ocsp_service_locator

          static final ASN1ObjectIdentifier id_pkix_ocsp_service_locator

      OID: 1.3.6.1.5.5.7.48.1.7

    - #### id_pkix_ocsp_pref_sig_algs

          static final ASN1ObjectIdentifier id_pkix_ocsp_pref_sig_algs

      OID: 1.3.6.1.5.5.7.48.1.8

    - #### id_pkix_ocsp_extended_revoke

          static final ASN1ObjectIdentifier id_pkix_ocsp_extended_revoke

      OID: 1.3.6.1.5.5.7.48.1.9